# Uses of Interface
org.xnio.channels.AcceptingChannel

Packages that use AcceptingChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio._private
org.xnio.channels
The core XNIO channel API.
org.xnio.ssl
Utility classes for using and implementing SSL within XNIO providers.

## Uses of AcceptingChannel in org.xnio

Methods in org.xnio that return AcceptingChannel
Modifier and Type
Method
Description
`protected AcceptingChannel<StreamConnection>`
XnioWorker.`createLocalStreamConnectionServer(LocalSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<StreamConnection>> acceptListener, OptionMap optionMap)`
Implementation helper method to create a UNIX domain stream server.
`AcceptingChannel<StreamConnection>`
XnioWorker.`createStreamConnectionServer(SocketAddress bindAddress, ChannelListener<? super AcceptingChannel<StreamConnection>> acceptListener, OptionMap optionMap)`
Create a stream server, for TCP or UNIX domain servers.
`AcceptingChannel<? extends ConnectedStreamChannel>`
XnioWorker.`createStreamServer(SocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedStreamChannel>> acceptListener, OptionMap optionMap)`
Deprecated.
`protected AcceptingChannel<StreamConnection>`
XnioWorker.`createTcpConnectionServer(InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<StreamConnection>> acceptListener, OptionMap optionMap)`
Implementation helper method to create a TCP stream server.
Methods in org.xnio that return types with arguments of type AcceptingChannel
Modifier and Type
Method
Description
`static <C extends ConnectedChannel>
ChannelListener<AcceptingChannel<C>>`
ChannelListeners.`openListenerAdapter(ChannelListener<? super C> openListener)`
Create an open listener adapter which automatically accepts connections and invokes an open listener.
Method parameters in org.xnio with type arguments of type AcceptingChannel
Modifier and Type
Method
Description
`protected AcceptingChannel<StreamConnection>`
XnioWorker.`createLocalStreamConnectionServer(LocalSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<StreamConnection>> acceptListener, OptionMap optionMap)`
Implementation helper method to create a UNIX domain stream server.
`AcceptingChannel<StreamConnection>`
XnioWorker.`createStreamConnectionServer(SocketAddress bindAddress, ChannelListener<? super AcceptingChannel<StreamConnection>> acceptListener, OptionMap optionMap)`
Create a stream server, for TCP or UNIX domain servers.
`AcceptingChannel<? extends ConnectedStreamChannel>`
XnioWorker.`createStreamServer(SocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedStreamChannel>> acceptListener, OptionMap optionMap)`
Deprecated.
`protected AcceptingChannel<StreamConnection>`
XnioWorker.`createTcpConnectionServer(InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<StreamConnection>> acceptListener, OptionMap optionMap)`
Implementation helper method to create a TCP stream server.

## Uses of AcceptingChannel in org.xnio._private

Methods in org.xnio._private with parameters of type AcceptingChannel
Modifier and Type
Method
Description
`final void`
Messages_$logger.`acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, IOException reason)`
`void`
Messages.`acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, IOException reason)`

## Uses of AcceptingChannel in org.xnio.channels

Methods in org.xnio.channels with type parameters of type AcceptingChannel
Modifier and Type
Method
Description
`static <C extends ConnectedChannel, A extends AcceptingChannel<C>>
C`
Channels.`acceptBlocking(A channel)`
Simple utility method to execute a blocking accept on an accepting channel.
`static <C extends ConnectedChannel, A extends AcceptingChannel<C>>
C`
Channels.`acceptBlocking(A channel, long time, TimeUnit unit)`
Simple utility method to execute a blocking accept on an accepting channel, with a timeout.
`static <T extends AcceptingChannel<?>>
void`
Channels.`setAcceptListener(T channel, ChannelListener<? super T> listener)`
Set the accept listener for a channel (type-safe).
Methods in org.xnio.channels that return types with arguments of type AcceptingChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends AcceptingChannel<C>>`
AcceptingChannel.`getAcceptSetter()`
Get the setter which can be used to change the accept listener for this channel.
`ChannelListener.Setter<? extends AcceptingChannel<C>>`
AcceptingChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.

## Uses of AcceptingChannel in org.xnio.ssl

Methods in org.xnio.ssl that return AcceptingChannel
Modifier and Type
Method
Description
`AcceptingChannel<SslConnection>`
JsseXnioSsl.`createSslConnectionServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<SslConnection>> acceptListener, OptionMap optionMap)`
`abstract AcceptingChannel<SslConnection>`
XnioSsl.`createSslConnectionServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<SslConnection>> acceptListener, OptionMap optionMap)`
Create a bound TCP SSL server.
`AcceptingChannel<ConnectedSslStreamChannel>`
JsseXnioSsl.`createSslTcpServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedSslStreamChannel>> acceptListener, OptionMap optionMap)`
`abstract AcceptingChannel<ConnectedSslStreamChannel>`
XnioSsl.`createSslTcpServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedSslStreamChannel>> acceptListener, OptionMap optionMap)`
Deprecated.
Method parameters in org.xnio.ssl with type arguments of type AcceptingChannel
Modifier and Type
Method
Description
`AcceptingChannel<SslConnection>`
JsseXnioSsl.`createSslConnectionServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<SslConnection>> acceptListener, OptionMap optionMap)`
`abstract AcceptingChannel<SslConnection>`
XnioSsl.`createSslConnectionServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<SslConnection>> acceptListener, OptionMap optionMap)`
Create a bound TCP SSL server.
`AcceptingChannel<ConnectedSslStreamChannel>`
JsseXnioSsl.`createSslTcpServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedSslStreamChannel>> acceptListener, OptionMap optionMap)`
`abstract AcceptingChannel<ConnectedSslStreamChannel>`
XnioSsl.`createSslTcpServer(XnioWorker worker, InetSocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedSslStreamChannel>> acceptListener, OptionMap optionMap)`
Deprecated.